Subject: Re: bug#54162: 29.0.50; notmuch search for nnmaildir is broken

From: Eric Abrahamsen <[email-masked]>
Date: Fri, 25 Feb 2022 12:53:49 -0800

jao <[email-masked]> writes:

> On Fri, Feb 25 2022, Eric Abrahamsen wrote:
>
> [...]
>
>> Noooooooooooooo......
>
> my thoughts exactly! :)
>
>> Okay, that out of the way, I wonder if the fact that your server doesn't
>> have a "name" is causing the error. I'll try setting up something like
>> that locally and reporting back.
>
> yes, i just tried and, if i give a name to the server, things seem to
> work.  phew! it'd be nice to have it working with an empty name, but i
> can certainly live with that.

Oh good, I'm glad it was an easy fix.

While I think empty name strings should be gently discouraged, it should
definitely still work. I'll figure out what's happened and close this
bug when I've got it.

Thanks for the report,
Eric